Skip to main content
PATCH
Partially update lead

Authorizations

Authorization
string
header
required

Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.

Headers

X-Organization-Id
string<uuid>

Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Path Parameters

leadId
string<uuid>
required
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Query Parameters

organizationId
string<uuid>

Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Body

application/json
accountId
string<uuid> | null
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
companyName
string
Minimum string length: 1
firstName
string
lastName
string
fullName
string
email
string<email> | null
title
string
phone
string
description
string
leadSourceDetail
string
leadStatus
string
salesforceUrl
string | null
referringPartnerContactId
string<uuid>
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
ownerUserId
string<uuid>
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
ownerEmail
string<email>
sfOwner
string
statusPatch
object

Response

Updated lead.

lead
object
required
warnings
object[]